/*
 * clickhouse-input.cpp - import data from clickhouse database
 *
 * Copyright (C) 2021 Aleksei Nikiforov <darktemplar@basealt.ru>
 *
 * cve-check-tool is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#pragma once

#include <stdint.h>

#include <list>
#include <optional>
#include <tuple>

#include "structs.h"
#include "cve-check-tool.h"

std::list<std::tuple<source_package_base, source_package_input_info> > package_scan_all_packages(const CveCheckTool &self);

void scan_existing_packages_and_vulnerabilities(CveCheckTool &self, const std::list<std::tuple<source_package_base, source_package_input_info> > &packages);

void scan_package_vendor_product_matching(CveCheckTool &self);
