/*
 * common.h - cve-check-tool
 *
 * Copyright (C) 2015 Intel Corporation
 *
 * cve-check-tool is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#pragma once

#include <string>
#include <optional>

enum class actuality_status
{
        actual = 0,
        removed = 1,
};

/**
 * Simple representation of a CVE
 */
struct cpe_info {
        std::string cpe;
        std::optional<std::string> versionStartExcluding;
        std::optional<std::string> versionStartIncluding;
        std::optional<std::string> versionEndExcluding;
        std::optional<std::string> versionEndIncluding;

        bool operator==(const cpe_info &other) const;
        bool operator<(const cpe_info &other) const;
};
